> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trynawa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Check the operational status of the NAWA API and its dependencies.

Check the operational status of the NAWA API. This endpoint is **free** and does **not** require authentication.

## Request

```bash theme={null}
curl https://api.trynawa.com/v1/health
```

## Response

### Healthy response (200)

```json theme={null}
{
  "success": true,
  "result": {
    "status": "healthy",
    "version": "1.0.0",
    "services": {
      "api": "operational",
      "classification": "operational",
      "database": "operational",
      "cache": "operational"
    },
    "timestamp": "2025-01-15T12:00:00Z"
  },
  "errors": [],
  "request_id": "req_hlt_abc123"
}
```

### Degraded response (200)

```json theme={null}
{
  "success": true,
  "result": {
    "status": "degraded",
    "version": "1.0.0",
    "services": {
      "api": "operational",
      "classification": "degraded",
      "database": "operational",
      "cache": "operational"
    },
    "timestamp": "2025-01-15T12:00:00Z"
  },
  "errors": [],
  "request_id": "req_hlt_def456"
}
```

<Note>
  For real-time status monitoring, visit [status.trynawa.com](https://status.trynawa.com).
</Note>
